Loading...
Searching...
No Matches
ipv4_prefix.c File Reference

ietf-inet-types ipv4-prefix type plugin. More...

`#include "plugins_internal.h"`
`#include "plugins_types.h"`
`#include <arpa/inet.h>`
`#include <assert.h>`
`#include <stdint.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "libyang.h"`
`#include "compat.h"`
`#include "ly_common.h"`
Include dependency graph for ipv4_prefix.c:

Go to the source code of this file.

## Macros

#define | _GNU_SOURCE /* strndup */
#define | LYB_VALUE_LEN 5

## Variables

const struct lyplg_type_record | plugins_ipv4_prefix []
| Plugin information for ipv4-prefix type implementation.

## Detailed Description

ietf-inet-types ipv4-prefix type plugin.

Author
  Michal Vasko mvask.nosp@m.o@ce.nosp@m.snet..nosp@m.cz

Copyright (c) 2019-2021 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file ipv4_prefix.c.

## Macro Definition Documentation

## _GNU_SOURCE

#define _GNU_SOURCE /* strndup */

Definition at line 15 of file ipv4_prefix.c.

## LYB_VALUE_LEN

#define LYB_VALUE_LEN 5

Definition at line 50 of file ipv4_prefix.c.

## Variable Documentation

## plugins_ipv4_prefix

const struct lyplg_type_record plugins_ipv4_prefix[]

Initial value:
= {
{
.module = "ietf-inet-types",
.revision = "2013-07-15",
.name = "ipv4-prefix",
.plugin.id = "libyang 2 - ipv4-prefix, version 1",
.plugin.store = lyplg_type_store_ipv4_prefix,
.plugin.validate = NULL,
.plugin.compare = lyplg_type_compare_ipv4_prefix,
.plugin.sort = lyplg_type_sort_ipv4_prefix,
.plugin.print = lyplg_type_print_ipv4_prefix,
.plugin.duplicate = lyplg_type_dup_ipv4_prefix,
.plugin.free = lyplg_type_free_ipv4_prefix,
.plugin.lyb_data_len = 5 ,
},
{0}
}

Plugin information for ipv4-prefix type implementation.

Note that external plugins are supposed to use:

LYPLG_TYPES = {

Definition at line 334 of file ipv4_prefix.c.